import React from 'react';
import { StyleSheet, View, Platform } from 'react-native';

const Gradient = ({ gradientSteps, getColor, maximumValue, style }) => {
  const rows = [];
  for (let i = 0; i <= gradientSteps; i++) {
    rows.push(
      <View
        key={i}
        style={{
          flex: 1,
          marginLeft: Platform.OS === 'ios' ? -StyleSheet.hairlineWidth : 0,
          backgroundColor: getColor(i * maximumValue / gradientSteps)
        }}
      />
    );
  }
  return <View style={[styles.container, style]}>{rows}</View>;
};

export default Gradient;

const styles = StyleSheet.create({
  container: {
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'stretch'
  }
});
